# Index

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | R | S | T | U | V | W | X | Y

### A

action: 2.1 Our First Graphical Application

actions: 5.1 Buttons and Actions

`addXScrollbar`
  `Tk`: see `Tk`, `addXScrollbar` (5.9 Listboxes and Scrollbars)

`addYScrollbar`
  `Tk`: see `Tk`, `addYScrollbar` (5.9 Listboxes and Scrollbars)

anchor: 4.2.3 Anchors

`anchor`
  option: see option, `anchor` (4.2.3 Anchors), see option, `anchor` (4.4 Using Anchors for Widgets)

arc
  item: see item, arc (6.1 Getting Started)

arguments: 3.2.2 Tickles and Widget Messages

`aspect`
  option: see option, `aspect` (3.7 Messages)

### B

background color: 3.1 Toplevel Widgets and Widget Objects

bar chart: 6.2 Example: Drawing Bar Charts

`batch`
  `Tk`: see `Tk`, `batch` (3.2.1 The Graphics Engine)

batch tickle: 4.2 The Packer

binding the action to the event: 5.5 Events

bitmap: 3.5.1 Bitmap Options, 3.6 Images

bitmap
  item: see item, bitmap (6.1 Getting Started)

`borderwidth`
  option: see option, `borderwidth` (3.3.1 Relief Options)

`both`
  option
    `fill`: see option, `fill`, `both` (4.2.4 Filling and Expansion)

`bottom`
  option
    `side`: see option, `side`, `bottom` (4.2.1 Side Options)

Button: 5.1 Buttons and Actions

`button`
  `Tk`: see `Tk`, `button` (2.1.1 Widgets), see `Tk`, `button` (5.1 Buttons and Actions)

### C

canvas: 6 Canvas Widgets

canvas
  tag: 6.3 Canvas Tags

`canvas`
  `Tk`: see `Tk`, `canvas` (6.1 Getting Started)

`canvasTag`
  `Tk`: see `Tk`, `canvasTag` (6.3 Canvas Tags)

`cascade`
  `Tk`
    `menuentry`: see `Tk`, `menuentry`, `cascade` (5.4 Menus, Menuitems, and Menubuttons)

`center`
  option
    `justify`: see option, `justify`, `center` (3.7 Messages)

`checkbutton`
  `Tk`: see `Tk`, `checkbutton` (5.2 Checkbuttons, Radiobuttons, and Variables)

`columnspan`
  option: see option, `columnspan` (4.3.2 Span Options)

command: 3.2.2 Tickles and Widget Messages

`command`
  `Tk`
    `menuentry`: see `Tk`, `menuentry`, `command` (5.4 Menus, Menuitems, and Menubuttons)

configuration
  item: see item, configuration (6.3 Canvas Tags)

configuration options: 3.2.2 Tickles and Widget Messages

container: 3.1 Toplevel Widgets and Widget Objects

### D

deleting
  text: see text, deleting (7.1 Manipulating Text)

`dialog`
  `TkTools`: see `TkTools`, `dialog` (8.1 Dialogs)

disabling input
  text: see text, disabling input (7.1 Manipulating Text)

documentation: Further Information

### E

`entry`
  `Tk`: see `Tk`, `entry` (2.1.1 Widgets), see `Tk`, `entry` (5.7 Entries and Focus)

entry field: 2.1 Our First Graphical Application

`error`
  `TkTools`: see `TkTools`, `error` (8.2 Error Dialogs)

event pattern: 5.5 Events

examples: The Examples

`expand`
  option: see option, `expand` (4.2.4 Filling and Expansion)

### F

family
  font: see font, family (3.5.2 Font Options)

`fill`
  `both`
    option: see option, `fill`, `both` (4.2.4 Filling and Expansion)
  `none`
    option: see option, `fill`, `none` (4.2.4 Filling and Expansion)
  option: see option, `fill` (4.2.4 Filling and Expansion)
  `x`
    option: see option, `fill`, `x` (4.2.4 Filling and Expansion)
  `y`
    option: see option, `fill`, `y` (4.2.4 Filling and Expansion)

`flat`
  option
    `relief`: see option, `relief`, `flat` (3.3.1 Relief Options)

focus: 5.7 Entries and Focus

font
  family: 3.5.2 Font Options
  name: 3.5.2 Font Options
  size: 3.5.2 Font Options
  weight: 3.5.2 Font Options

`font`
  `Tk`: see `Tk`, `font` (3.5.2 Font Options)

format: 3.6 Images

`frame`
  `Tk`: see `Tk`, `frame` (3.3.1 Relief Options)

### G

geometry: 2.1 Our First Graphical Application, 2.1.2 Geometry

`get`
  `Property`: see `Property`, `get` (3.5.1 Bitmap Options)

getting
  text: see text, getting (7.1 Manipulating Text)

`gif`: 3.6 Images

graphics engine: 2.2 The Architecture, 3.2 The Graphics Engine, Tickles, and Widget Messages

grid: 4.1 Widgets and Parcels, 4.3 The Grid Geometry Manager

`groove`
  option
    `relief`: see option, `relief`, `groove` (3.3.1 Relief Options)

### H

`height`: 3.1 Toplevel Widgets and Widget Objects

### I

image: 3.6 Images

image
  item: see item, image (6.1 Getting Started)

`image`
  `Tk`: see `Tk`, `image` (3.6 Images)

image format: 3.6 Images

`images`
  `TkTools`: see `TkTools`, `images` (8.4 Handling Images)

image type: 3.6 Images

inserting
  text: see text, inserting (7.1 Manipulating Text)

`ipadx`
  option: see option, `ipadx` (4.2.2 Padding), see option, `ipadx` (4.3.1 Padding)

`ipady`
  option: see option, `ipady` (4.2.2 Padding), see option, `ipady` (4.3.1 Padding)

`isColor`
  `Tk`: see `Tk`, `isColor` (6.2 Example: Drawing Bar Charts)

item
  arc: 6.1 Getting Started
  bitmap: 6.1 Getting Started
  configuration: 6.3 Canvas Tags
  image: 6.1 Getting Started
  line: 6.1 Getting Started
  oval: 6.1 Getting Started
  polygon: 6.1 Getting Started
  rectangle: 6.1 Getting Started
  text: 6.1 Getting Started
  window: 6.1 Getting Started

items: 6.1 Getting Started

### J

`justify`
  `center`
    option: see option, `justify`, `center` (3.7 Messages)
  `left`
    option: see option, `justify`, `left` (3.7 Messages)
  option: see option, `justify` (3.7 Messages)
  `right`
    option: see option, `justify`, `right` (3.7 Messages)

### K

keyboard accelerators: 8.3 Menubars

### L

label: 3.5 Label Widgets

`label`
  `Tk`: see `Tk`, `label` (3.5 Label Widgets)

`left`
  option
    `justify`: see option, `justify`, `left` (3.7 Messages)
    `side`: see option, `side`, `left` (4.2.1 Side Options)

line
  item: see item, line (6.1 Getting Started)

`listbox`
  `Tk`: see `Tk`, `listbox` (5.9 Listboxes and Scrollbars)

`listener`
  `Tk`: see `Tk`, `listener` (5.6 More on Actions: Listeners), see `Tk`, `listener` (5.8 Scales)

### M

mark
  text: see text, mark (7.2 Text Tags and Marks)

marks: 7.2 Text Tags and Marks

master: 3.4 The Widget Hierarchy

`menu`
  `Tk`: see `Tk`, `menu` (5.4 Menus, Menuitems, and Menubuttons)

`menubar`
  `TkTools`: see `TkTools`, `menubar` (8.3 Menubars)

`menuentry`
  `cascade`
    `Tk`: see `Tk`, `menuentry`, `cascade` (5.4 Menus, Menuitems, and Menubuttons)
  `command`
    `Tk`: see `Tk`, `menuentry`, `command` (5.4 Menus, Menuitems, and Menubuttons)
  `separator`
    `Tk`: see `Tk`, `menuentry`, `separator` (5.4 Menus, Menuitems, and Menubuttons)
  `Tk`: see `Tk`, `menuentry` (8.3 Menubars)

`message`
  `Tk`: see `Tk`, `message` (3.7 Messages)

### N

`none`
  option
    `fill`: see option, `fill`, `none` (4.2.4 Filling and Expansion)

### O

option
  abbreviation: 3.3.4 Abbreviations and Synonyms
  `anchor`: 4.4 Using Anchors for Widgets
  `anchor`: 4.2.3 Anchors
  `aspect`: 3.7 Messages
  `borderwidth`: 3.3.1 Relief Options
  color: 3.3.3 Color Options
  color
    numerical: 3.3.3 Color Options
    symbolic: 3.3.3 Color Options
  `columnspan`: 4.3.2 Span Options
  `expand`: 4.2.4 Filling and Expansion
  `fill`: 4.2.4 Filling and Expansion
  `fill`
    `both`: 4.2.4 Filling and Expansion
    `none`: 4.2.4 Filling and Expansion
    `x`: 4.2.4 Filling and Expansion
    `y`: 4.2.4 Filling and Expansion
  `font`: 3.5.2 Font Options
  `ipadx`: 4.3.1 Padding
  `ipadx`: 4.2.2 Padding
  `ipady`: 4.3.1 Padding
  `ipady`: 4.2.2 Padding
  `justify`: 3.7 Messages
  `justify`
    `center`: 3.7 Messages
    `left`: 3.7 Messages
    `right`: 3.7 Messages
  `padx`: 4.3.1 Padding
  `padx`: 4.2.2 Padding
  `pady`: 4.3.1 Padding
  `pady`: 4.2.2 Padding
  `relief`: 3.3.1 Relief Options
  `relief`
    `flat`: 3.3.1 Relief Options
    `groove`: 3.3.1 Relief Options
    `raised`: 3.3.1 Relief Options
    `ridge`: 3.3.1 Relief Options
    `sunken`: 3.3.1 Relief Options
  `rowspan`: 4.3.2 Span Options
  screen distance: 3.3.2 Screen Distance Options
  `side`: 4.2.1 Side Options
  `side`
    `bottom`: 4.2.1 Side Options
    `left`: 4.2.1 Side Options
    `right`: 4.2.1 Side Options
    `top`: 4.2.1 Side Options
  `sticky`: 4.3.3 Sticky Options
  `weight`: 4.3.4 Weight Options

options: 3.2.2 Tickles and Widget Messages

option values: 3.2.2 Tickles and Widget Messages

oval
  item: see item, oval (6.1 Getting Started)

### P

`pack`: 4.2 The Packer

pack: 4.1 Widgets and Parcels

packer: 4.1 Widgets and Parcels

padding: 4.2.2 Padding, 4.3.1 Padding

`padx`
  option: see option, `padx` (4.2.2 Padding), see option, `padx` (4.3.1 Padding)

`pady`
  option: see option, `pady` (4.2.2 Padding), see option, `pady` (4.3.1 Padding)

parcel: 4.1 Widgets and Parcels

parent: 3.4 The Widget Hierarchy

photo: 3.6 Images

polygon
  item: see item, polygon (6.1 Getting Started)

position
  text: see text, position (7.1 Manipulating Text)

positions: 7.1 Manipulating Text

posted: 5.4 Menus, Menuitems, and Menubuttons

`ppm`: 3.6 Images

`Property`
  `get`: 3.5.1 Bitmap Options

### R

`radiobutton`
  `Tk`: see `Tk`, `radiobutton` (5.2 Checkbuttons, Radiobuttons, and Variables)

`raised`
  option
    `relief`: see option, `relief`, `raised` (3.3.1 Relief Options)

rectangle
  item: see item, rectangle (6.1 Getting Started)

`relief`
  `flat`
    option: see option, `relief`, `flat` (3.3.1 Relief Options)
  `groove`
    option: see option, `relief`, `groove` (3.3.1 Relief Options)
  option: see option, `relief` (3.3.1 Relief Options)
  `raised`
    option: see option, `relief`, `raised` (3.3.1 Relief Options)
  `ridge`
    option: see option, `relief`, `ridge` (3.3.1 Relief Options)
  `sunken`
    option: see option, `relief`, `sunken` (3.3.1 Relief Options)

`returnInt`
  `Tk`: see `Tk`, `returnInt` (5.3.2 Querying Widget Parameters)

`ridge`
  option
    `relief`: see option, `relief`, `ridge` (3.3.1 Relief Options)

`right`
  option
    `justify`: see option, `justify`, `right` (3.7 Messages)
    `side`: see option, `side`, `right` (4.2.1 Side Options)

`rowspan`
  option: see option, `rowspan` (4.3.2 Span Options)

### S

`scale`
  `Tk`: see `Tk`, `scale` (5.8 Scales)

scanning: 5.9 Listboxes and Scrollbars, 7.1 Manipulating Text

screen pixels: 3.3.2 Screen Distance Options

scrollbar: 5.9 Listboxes and Scrollbars

`scrollbar`
  `Tk`: see `Tk`, `scrollbar` (5.9 Listboxes and Scrollbars), see `Tk`, `scrollbar` (6.2 Example: Drawing Bar Charts)

`send`
  `Tk`: see `Tk`, `send` (2.1.2 Geometry), see `Tk`, `send` (2.2 The Architecture), see `Tk`, `send` (3.2.1 The Graphics Engine), see `Tk`, `send` (3.3.1 Relief Options)

`separator`
  `Tk`
    `menuentry`: see `Tk`, `menuentry`, `separator` (5.4 Menus, Menuitems, and Menubuttons)

`side`
  `bottom`
    option: see option, `side`, `bottom` (4.2.1 Side Options)
  `left`
    option: see option, `side`, `left` (4.2.1 Side Options)
  option: see option, `side` (4.2.1 Side Options)
  `right`
    option: see option, `side`, `right` (4.2.1 Side Options)
  `top`
    option: see option, `side`, `top` (4.2.1 Side Options)

size
  font: see font, size (3.5.2 Font Options)

slave: 3.4 The Widget Hierarchy

`sticky`
  option: see option, `sticky` (4.3.3 Sticky Options)

`sunken`
  option
    `relief`: see option, `relief`, `sunken` (3.3.1 Relief Options)

### T

tag
  canvas: see canvas, tag (6.3 Canvas Tags)
  text: see text, tag (7.2 Text Tags and Marks)

tags: 6.3 Canvas Tags

text: 7 Text Widgets

text
  deleting: 7.1 Manipulating Text
  disabling input: 7.1 Manipulating Text
  getting: 7.1 Manipulating Text
  inserting: 7.1 Manipulating Text
  item: see item, text (6.1 Getting Started)
  mark: 7.2 Text Tags and Marks
  position: 7.1 Manipulating Text
  tag: 7.2 Text Tags and Marks
  wrapping: 7.1 Manipulating Text

`textMark`
  `Tk`: see `Tk`, `textMark` (7.2 Text Tags and Marks)

`textTag`
  `Tk`: see `Tk`, `textTag` (7.2 Text Tags and Marks)

tickle: 3.2.2 Tickles and Widget Messages

tickle
  special: 3.2.4 Special Tickles
  translation to strings: 3.2.3 Translating Tickles

tickle object: 3.2.2 Tickles and Widget Messages

tickles: 3.2.1 The Graphics Engine

`tk`: 2.2 The Architecture, 3.1 Toplevel Widgets and Widget Objects, 3.1 Toplevel Widgets and Widget Objects

`Tk`
  `addXScrollbar`: 5.9 Listboxes and Scrollbars
  `addYScrollbar`: 5.9 Listboxes and Scrollbars
  `batch`: 3.2.1 The Graphics Engine
  `button`: 5.1 Buttons and Actions
  `button`: 2.1.1 Widgets
  `canvas`: 6.1 Getting Started
  `canvasTag`: 6.3 Canvas Tags
  `checkbutton`: 5.2 Checkbuttons, Radiobuttons, and Variables
  `entry`: 5.7 Entries and Focus
  `entry`: 2.1.1 Widgets
  `font`: 3.5.2 Font Options
  `frame`: 3.3.1 Relief Options
  `image`: 3.6 Images
  `isColor`: 6.2 Example: Drawing Bar Charts
  `label`: 3.5 Label Widgets
  `listbox`: 5.9 Listboxes and Scrollbars
  `listener`: 5.8 Scales
  `listener`: 5.6 More on Actions: Listeners
  `menu`: 5.4 Menus, Menuitems, and Menubuttons
  `menuentry`: 8.3 Menubars
  `menuentry`
    `cascade`: 5.4 Menus, Menuitems, and Menubuttons
    `command`: 5.4 Menus, Menuitems, and Menubuttons
    `separator`: 5.4 Menus, Menuitems, and Menubuttons
  `message`: 3.7 Messages
  `radiobutton`: 5.2 Checkbuttons, Radiobuttons, and Variables
  `returnInt`: 5.3.2 Querying Widget Parameters
  `scale`: 5.8 Scales
  `scrollbar`: 6.2 Example: Drawing Bar Charts
  `scrollbar`: 5.9 Listboxes and Scrollbars
  `send`: 3.3.1 Relief Options
  `send`: 3.2.1 The Graphics Engine
  `send`: 2.2 The Architecture
  `send`: 2.1.2 Geometry
  `textMark`: 7.2 Text Tags and Marks
  `textTag`: 7.2 Text Tags and Marks
  `toplevel`: 5.10 Toplevel Widgets and Window Manager Commands
  `toplevel`: 3.1 Toplevel Widgets and Widget Objects
  `toplevel`: 2.1.1 Widgets
  `variable`: 5.2 Checkbuttons, Radiobuttons, and Variables

`tk_getOpenFile`: 5.11 Selecting Files

`tk_popup`: 5.5 Events

`tkAction`: 5.2 Checkbuttons, Radiobuttons, and Variables

`tkBind`: 6.3.1 Event Bindings

`tkBind`: 5.5 Events

`tkClose`: 3.1 Toplevel Widgets and Widget Objects

`tkInit`: 2.2 The Architecture, 3.1 Toplevel Widgets and Widget Objects, 3.1 Toplevel Widgets and Widget Objects

`Tk` module: 3.2 The Graphics Engine, Tickles, and Widget Messages

`tkReturn`: 2.1.3 Actions

`TkTools`: 8 Tools for Tk

`TkTools`
  `dialog`: 8.1 Dialogs
  `error`: 8.2 Error Dialogs
  `images`: 8.4 Handling Images
  `menubar`: 8.3 Menubars

`top`
  option
    `side`: see option, `side`, `top` (4.2.1 Side Options)

`toplevel`
  `Tk`: see `Tk`, `toplevel` (2.1.1 Widgets), see `Tk`, `toplevel` (3.1 Toplevel Widgets and Widget Objects), see `Tk`, `toplevel` (5.10 Toplevel Widgets and Window Manager Commands)

toplevel widget: 3.1 Toplevel Widgets and Widget Objects

transient: 8.2 Error Dialogs

### U

unposted: 5.4 Menus, Menuitems, and Menubuttons

URL: 3.6 Images

### V

`variable`
  `Tk`: see `Tk`, `variable` (5.2 Checkbuttons, Radiobuttons, and Variables)

### W

weight
  font: see font, weight (3.5.2 Font Options)

`weight`
  option: see option, `weight` (4.3.4 Weight Options)

widget: 1 Introduction, 2.1 Our First Graphical Application

widget
  close: 3.1 Toplevel Widgets and Widget Objects
  frame: 3.3 Frames
  text: 7 Text Widgets
  toplevel: 3.1 Toplevel Widgets and Widget Objects

widget hierarchy: 2.1.1 Widgets

`width`: 3.1 Toplevel Widgets and Widget Objects

window: 1 Introduction

window
  item: see item, window (6.1 Getting Started)

withdrawn: 5.10 Toplevel Widgets and Window Manager Commands

### X

`x`
  option
    `fill`: see option, `fill`, `x` (4.2.4 Filling and Expansion)

### Y

`y`
  option
    `fill`: see option, `fill`, `y` (4.2.4 Filling and Expansion)